coupang
GET/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/ordersheets/{shipmentBoxId}/history2609170000

배송상태 변경 히스토리 조회

KRTW
# 01

요약

배송상태 변경 히스토리 조회

# 02

상세

API 적용 가능한 구매자 사용자 지역: 한국, 대만

특정 주문에 대한 배송상태 히스토리를 조회합니다.

경로

GET/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/ordersheets/{shipmentBoxId}/history

예시 엔드포인트

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/ordersheets/{shipmentBoxId}/history

URL API Name

GET_ORDERSHEET_HISTORY
# 03

Path 파라미터

NameTypeDescription
vendorId*string
판매자 ID

쿠팡에서 업체에게 발급한 고유 코드

예) A00012345
shipmentBoxId*number
묶음배송번호
발주서 목록 조회 API를 통해 확인 가능
# 04

응답 본문

응답 메시지

NameTypeDescription
codenumber
서버 응답 코드
messagestring
서버 응답 메세지
dataobject[]
결제완료목록
shipmentBoxId
data[].shipmentBoxId
number
묶음배송번호
details
data[].details
object[]
히스토리 상세
deliveryStatus
data[].details[].deliveryStatus
string
배송상태
Parameter Name Status
ACCEPT 결제완료
INSTRUCT 상품준비중
DEPARTURE 배송지시
DELIVERING 배송중
FINAL_DELIVERY 배송완료
NONE_TRACKING 업체 직접 배송(배송 연동 미적용), 추적불가
deliveryStatusDesc
data[].details[].deliveryStatusDesc
string
배송상태 설명
updatedAt
data[].details[].updatedAt
string
변경시간

(ISO-8601 표준 준수)

형식: YYYY-MM-DDThh:mm:ss.ssssss±hh:mm

Response Example

{
  "shipmentBoxId": 123456789012345680,
  "data": [
    {
      "deliveryStatus": "FINAL_DELIVERY",
      "deliveryStatusDesc": "배송완료",
      "updatedAt": "2025-01-15T14:17:13.973885-08:00"
    },
    {
      "deliveryStatus": "DELIVERING",
      "deliveryStatusDesc": "배송중",
      "updatedAt": "2025-01-15T14:17:13.973885-08:00"
    },
    {
      "deliveryStatus": "DEPARTURE",
      "deliveryStatusDesc": "배송지시",
      "updatedAt": "2025-01-15T14:17:13.973885-08:00"
    },
    {
      "deliveryStatus": "INSTRUCT",
      "deliveryStatusDesc": "상품준비중",
      "updatedAt": "2025-01-15T14:17:13.973885-08:00"
    },
    {
      "deliveryStatus": "ACCEPT",
      "deliveryStatusDesc": "결제완료",
      "updatedAt": "2025-01-15T14:17:13.973885-08:00"
    }
  ]
}
# 05

에러 코드

HTTP코드메시지
400HTTP_400Bad Request

오류 사양

HTTP유형오류 메시지해결 방법
400400 (요청변수확인)

Invalid vendor ID

판매자 ID(vendorId) 값을 올바로 입력했는지 확인합니다.

500500 (요청변수확인)

Internal Exception

묶음배송번호(shipmentBoxId) 값을 올바로 입력했는지 확인합니다.